Subject: Re: bug#10787: 23.4; hs-hide-* functions don't honor page break in Emacs-Lisp major mode (and probably others too)

From: Stefan Kangas <[email-masked]>
Date: Sat, 2 Nov 2019 06:02:30 +0100

Hi Bruno Félix,

The below email bounced when trying to send it to [email-masked].
I'm therefore resending this to what I guess is your new email
address.

Best regards,
Stefan Kangas

Stefan Kangas <[email-masked]> writes:

> [email-masked] (Bruno Félix Rezende Ribeiro) writes:
>
> > Suppose that you have a buffer with Emacs-Lisp major mode and hs minor
> > mode enabled and into it a piece of code like this: (where ^L indicates
> > page break)
> >
> > --
> >
> > ;; here is only a foo comment for a commented bar function
> > ;; (defun my-bar-function () nil)
> >
> > ^L
> > ;; here is another foo comment for another commented bar function
> > ;; (defun my-second-bar-function () nil)
> >
> > --
> >
> > Now, if you run hs-hide-all command the text appears like this:
> >
> > --
> >
> > ;; here is only a foo comment for a commented bar function...
> >
> > --
> >
> > It's very annoying.  I often comment consecutive functions and
> > hs-hide-all don't honor sequential newlines.  So, I was breaked page
> > hoping that my functions were kept separated.  But that didn't happen.
> > This bug report is to suggest developers to make hs-hide-* functions
> > respect page breaks for this and others major modes too.
>
> This was reported 7 years ago, but never got a reply at the time.
>
> I can't reproduce this on current master.  Are you still seeing this
> on a modern version of Emacs?
>
> If I don't hear back from you within a couple of weeks, Ill just close
> this bug as unreproducible.
>
> Best regards,
> Stefan Kangas